## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl
Class SybaseASABaseDatabaseImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
                                      org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseDatabaseImpl

All Implemented Interfaces:
  SybaseASABaseDatabase, Database, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASADatabaseImpl

    public class SybaseASABaseDatabaseImpl

extends org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
implements SybaseASABaseDatabase

An implementation of the model object 'Sybase ASA Base Database'.

The following features are implemented:

- `Data Types`
- `Web Services`
- `Db Spaces`
- `Database File Name`
- `Log File Name`
- `Mirror File Name`
- `Case Sensitive`
- `Collation`
- `Blank Padding On`
- `Check Sum On`
- `JConnect On`
- `Page Size`
- `Encryption Info`
- `Java Support`
- `Password Case Sensitive`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`EncryptionInfo` `basicGetEncryptionInfo()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getCollation()`
`java.lang.String` `getDatabaseFileName()`
`org.eclipse.emf.common.util.EList` `getDatabaseSchemas()`
`org.eclipse.emf.common.util.EList` `getDataTypes()`
`org.eclipse.emf.common.util.EList` `getDbSpaces()`
`EncryptionInfo` `getEncryptionInfo()`
`JavaSupportType` `getJavaSupport()`
`java.lang.String` `getLogFileName()`
`java.lang.String` `getMirrorFileName()`
`int` `getPageSize()`
`java.lang.Boolean` `getPasswordCaseSensitive()`
`org.eclipse.emf.common.util.EList` `getWebServices()`
`boolean` `isBaseOnASA10()`
`boolean` `isBlankPaddingOn()`
`boolean` `isCaseSensitive()`
`boolean` `isCheckSumOn()`
`boolean` `isJConnectOn()`
`void` `setBlankPaddingOn(boolean newBlankPaddingOn)`
`void` `setCaseSensitive(boolean newCaseSensitive)`
`void` `setCheckSumOn(boolean newCheckSumOn)`
`void` `setCollation(java.lang.String newCollation)`
`void` `setDatabaseFileName(java.lang.String newDatabaseFileName)`
`void` `setEncryptionInfo(EncryptionInfo newEncryptionInfo)`
`void` `setJavaSupport(JavaSupportType newJavaSupport)`
`void` `setJConnectOn(boolean newJConnectOn)`
`void` `setLogFileName(java.lang.String newLogFileName)`
`void` `setMirrorFileName(java.lang.String newMirrorFileName)`
`void` `setPageSize(int newPageSize)`
`void` `setPasswordCaseSensitive(java.lang.Boolean newPasswordCaseSensitive)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
`getAuthorizationIds, getCatalogs, getEvents, getSchemas, getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Database
`getAuthorizationIds, getCatalogs, getEvents, getSchemas, getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getDataTypes

    public org.eclipse.emf.common.util.EList getDataTypes()

  Specified by:
    `getDataTypes` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Data Types' reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_DataTypes()`, `SybaseASABasePredefinedDataType.getDatabase()`

### getWebServices

    public org.eclipse.emf.common.util.EList getWebServices()

  Specified by:
    `getWebServices` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Web Services' reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_WebServices()`, `SybaseASAWebService.getDatabase()`

### getDbSpaces

    public org.eclipse.emf.common.util.EList getDbSpaces()

  Specified by:
    `getDbSpaces` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Db Spaces' containment reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_DbSpaces()`, `SybaseASABaseDBSpace.getDatabase()`

### getDatabaseFileName

    public java.lang.String getDatabaseFileName()

  Specified by:
    `getDatabaseFileName` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Database File Name' attribute.
  See Also:
    `SybaseASABaseDatabase.setDatabaseFileName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_DatabaseFileName()`

### setDatabaseFileName

    public void setDatabaseFileName(java.lang.String newDatabaseFileName)

  Specified by:
    `setDatabaseFileName` in interface `SybaseASABaseDatabase`
  Parameters:
    `newDatabaseFileName` - the new value of the 'Database File Name' attribute.
  See Also:
    `SybaseASABaseDatabase.getDatabaseFileName()`

### getLogFileName

    public java.lang.String getLogFileName()

  Specified by:
    `getLogFileName` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Log File Name' attribute.
  See Also:
    `SybaseASABaseDatabase.setLogFileName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_LogFileName()`

### setLogFileName

    public void setLogFileName(java.lang.String newLogFileName)

  Specified by:
    `setLogFileName` in interface `SybaseASABaseDatabase`
  Parameters:
    `newLogFileName` - the new value of the 'Log File Name' attribute.
  See Also:
    `SybaseASABaseDatabase.getLogFileName()`

### getMirrorFileName

    public java.lang.String getMirrorFileName()

  Specified by:
    `getMirrorFileName` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Mirror File Name' attribute.
  See Also:
    `SybaseASABaseDatabase.setMirrorFileName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_MirrorFileName()`

### setMirrorFileName

    public void setMirrorFileName(java.lang.String newMirrorFileName)

  Specified by:
    `setMirrorFileName` in interface `SybaseASABaseDatabase`
  Parameters:
    `newMirrorFileName` - the new value of the 'Mirror File Name' attribute.
  See Also:
    `SybaseASABaseDatabase.getMirrorFileName()`

### isCaseSensitive

    public boolean isCaseSensitive()

  Specified by:
    `isCaseSensitive` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Case Sensitive' attribute.
  See Also:
    `SybaseASABaseDatabase.setCaseSensitive(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_CaseSensitive()`

### setCaseSensitive

    public void setCaseSensitive(boolean newCaseSensitive)

  Specified by:
    `setCaseSensitive` in interface `SybaseASABaseDatabase`
  Parameters:
    `newCaseSensitive` - the new value of the 'Case Sensitive' attribute.
  See Also:
    `SybaseASABaseDatabase.isCaseSensitive()`

### getCollation

    public java.lang.String getCollation()

  Specified by:
    `getCollation` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Collation' attribute.
  See Also:
    `SybaseASABaseDatabase.setCollation(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_Collation()`

### setCollation

    public void setCollation(java.lang.String newCollation)

  Specified by:
    `setCollation` in interface `SybaseASABaseDatabase`
  Parameters:
    `newCollation` - the new value of the 'Collation' attribute.
  See Also:
    `SybaseASABaseDatabase.getCollation()`

### isBlankPaddingOn

    public boolean isBlankPaddingOn()

  Specified by:
    `isBlankPaddingOn` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Blank Padding On' attribute.
  See Also:
    `SybaseASABaseDatabase.setBlankPaddingOn(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_BlankPaddingOn()`

### setBlankPaddingOn

    public void setBlankPaddingOn(boolean newBlankPaddingOn)

  Specified by:
    `setBlankPaddingOn` in interface `SybaseASABaseDatabase`
  Parameters:
    `newBlankPaddingOn` - the new value of the 'Blank Padding On' attribute.
  See Also:
    `SybaseASABaseDatabase.isBlankPaddingOn()`

### isCheckSumOn

    public boolean isCheckSumOn()

  Specified by:
    `isCheckSumOn` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Check Sum On' attribute.
  See Also:
    `SybaseASABaseDatabase.setCheckSumOn(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_CheckSumOn()`

### setCheckSumOn

    public void setCheckSumOn(boolean newCheckSumOn)

  Specified by:
    `setCheckSumOn` in interface `SybaseASABaseDatabase`
  Parameters:
    `newCheckSumOn` - the new value of the 'Check Sum On' attribute.
  See Also:
    `SybaseASABaseDatabase.isCheckSumOn()`

### isJConnectOn

    public boolean isJConnectOn()

  Specified by:
    `isJConnectOn` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'JConnect On' attribute.
  See Also:
    `SybaseASABaseDatabase.setJConnectOn(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_JConnectOn()`

### setJConnectOn

    public void setJConnectOn(boolean newJConnectOn)

  Specified by:
    `setJConnectOn` in interface `SybaseASABaseDatabase`
  Parameters:
    `newJConnectOn` - the new value of the 'JConnect On' attribute.
  See Also:
    `SybaseASABaseDatabase.isJConnectOn()`

### getPageSize

    public int getPageSize()

  Specified by:
    `getPageSize` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Page Size' attribute.
  See Also:
    `SybaseASABaseDatabase.setPageSize(int)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_PageSize()`

### setPageSize

    public void setPageSize(int newPageSize)

  Specified by:
    `setPageSize` in interface `SybaseASABaseDatabase`
  Parameters:
    `newPageSize` - the new value of the 'Page Size' attribute.
  See Also:
    `SybaseASABaseDatabase.getPageSize()`

### getEncryptionInfo

    public EncryptionInfo getEncryptionInfo()

  Specified by:
    `getEncryptionInfo` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Encryption Info' reference.
  See Also:
    `SybaseASABaseDatabase.setEncryptionInfo(EncryptionInfo)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_EncryptionInfo()`

### basicGetEncryptionInfo

    public EncryptionInfo basicGetEncryptionInfo()

### setEncryptionInfo

    public void setEncryptionInfo(EncryptionInfo newEncryptionInfo)

  Specified by:
    `setEncryptionInfo` in interface `SybaseASABaseDatabase`
  Parameters:
    `newEncryptionInfo` - the new value of the 'Encryption Info' reference.
  See Also:
    `SybaseASABaseDatabase.getEncryptionInfo()`

### getJavaSupport

    public JavaSupportType getJavaSupport()

  Specified by:
    `getJavaSupport` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Java Support' attribute.
  See Also:
    `JavaSupportType`, `SybaseASABaseDatabase.setJavaSupport(JavaSupportType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_JavaSupport()`

### setJavaSupport

    public void setJavaSupport(JavaSupportType newJavaSupport)

  Specified by:
    `setJavaSupport` in interface `SybaseASABaseDatabase`
  Parameters:
    `newJavaSupport` - the new value of the 'Java Support' attribute.
  See Also:
    `JavaSupportType`, `SybaseASABaseDatabase.getJavaSupport()`

### getPasswordCaseSensitive

    public java.lang.Boolean getPasswordCaseSensitive()

  Specified by:
    `getPasswordCaseSensitive` in interface `SybaseASABaseDatabase`
  Returns:
    the value of the 'Password Case Sensitive' attribute.
  See Also:
    `SybaseASABaseDatabase.setPasswordCaseSensitive(Boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_PasswordCaseSensitive()`

### setPasswordCaseSensitive

    public void setPasswordCaseSensitive(java.lang.Boolean newPasswordCaseSensitive)

  Specified by:
    `setPasswordCaseSensitive` in interface `SybaseASABaseDatabase`
  Parameters:
    `newPasswordCaseSensitive` - the new value of the 'Password Case Sensitive' attribute.
  See Also:
    `SybaseASABaseDatabase.getPasswordCaseSensitive()`

### isBaseOnASA10

    public boolean isBaseOnASA10()

  Specified by:
    `isBaseOnASA10` in interface `SybaseASABaseDatabase`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### getDatabaseSchemas

    public org.eclipse.emf.common.util.EList getDatabaseSchemas()

  Specified by:
    `getDatabaseSchemas` in interface `SybaseASABaseDatabase`